Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.benchmarks
Class BenchmarkShell

    java.lang.Object
      com.google.gwt.benchmarks.BenchmarkShell

    public class BenchmarkShell

extends java.lang.Object

This class is responsible for hosting BenchMarks test case execution.

See Also:
  `JUnitShell`

Method Summary
`static BenchmarkReport` | `getReport()` Called by `BenchmarkGenerator` to add test meta data to the test report.
`static void` | `runTest(GWTTestCase testCase, junit.framework.TestResult testResult)`
`static void` | `runTest(java.lang.String moduleName, junit.framework.TestCase testCase, junit.framework.TestResult testResult)` Deprecated. use `runTest(GWTTestCase, TestResult)` instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getReport

    public static BenchmarkReport getReport()

  Called by `BenchmarkGenerator` to add test meta data to the test report.

  Returns:
    The `BenchmarkReport` that belongs to the singleton `JUnitShell`, or `null` if no such singleton exists.

### runTest

    @Deprecated
    public static void runTest(java.lang.String moduleName,
                                          junit.framework.TestCase testCase,
                                          junit.framework.TestResult testResult)
                        throws UnableToCompleteException

  Deprecated. use `runTest(GWTTestCase, TestResult)` instead

  Throws:
    `UnableToCompleteException`

### runTest

    public static void runTest(GWTTestCase testCase,
                               junit.framework.TestResult testResult)
                        throws UnableToCompleteException

  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD